## GntCheckbox GntCheckbox — A widget that can be toggled |

## Functions

#define | GNT_CHECK_BOX_FLAGS()
#define | GNT_CHECK_BOX_SET_FLAGS()
#define | GNT_CHECK_BOX_UNSET_FLAGS()
GType | gnt_check_box_get_gtype ()
GntWidget * | gnt_check_box_new ()
void | gnt_check_box_set_checked ()
gboolean | gnt_check_box_get_checked ()

## Types and Values

struct | GntCheckBox
| GntCheckBoxPriv

## Description

## Functions

### GNT_CHECK_BOX_FLAGS()

    #define GNT_CHECK_BOX_FLAGS(obj)				(GNT_CHECK_BOX(obj)->priv.flags)

`GNT_CHECK_BOX_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_CHECK_BOX_SET_FLAGS()

    #define GNT_CHECK_BOX_SET_FLAGS(obj, flags)		(GNT_CHECK_BOX_FLAGS(obj) |= flags)

`GNT_CHECK_BOX_SET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### GNT_CHECK_BOX_UNSET_FLAGS()

    #define GNT_CHECK_BOX_UNSET_FLAGS(obj, flags) (GNT_CHECK_BOX_FLAGS(obj) &= ~(flags))

`GNT_CHECK_BOX_UNSET_FLAGS` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

### gnt_check_box_get_gtype ()

    GType
    gnt_check_box_get_gtype (void);

#### Returns

GType for GntCheckBox

### gnt_check_box_new ()

    GntWidget *
    gnt_check_box_new (const char *text);

Create a new checkbox.

#### Parameters

text | The text for the checkbox. |

#### Returns

The newly created checkbox.

### gnt_check_box_set_checked ()

    void
    gnt_check_box_set_checked (GntCheckBox *box,
                               gboolean set);

Set whether the checkbox should be checked or not.

#### Parameters

box | The checkbox. |
set | `TRUE` if the checkbox should be selected, `FALSE` otherwise. |

### gnt_check_box_get_checked ()

    gboolean
    gnt_check_box_get_checked (GntCheckBox *box);

Return the checked state of the checkbox.

#### Parameters

box | The checkbox. |

#### Returns

`TRUE` if the checkbox is selected, `FALSE` otherwise.

## Types and Values

### struct GntCheckBox

    struct GntCheckBox {
    	GntButton parent;
    	gboolean GNTSEAL(checked);
    };

Access to any fields is deprecated. See inline comments for replacements.

### GntCheckBoxPriv

    typedef struct _GntCheckBoxPriv GntCheckBoxPriv;

`GntCheckBoxPriv` has been deprecated since version 2.14.0 and should not be used in newly-written code.

This is an internal implementation detail.

## See Also

GntButton